# draugr.python_utilities.counter_filter.CounterFilter

class draugr.python_utilities.counter_filter.CounterFilter(*, interval: Optional [ int ] = 1, filters: Iterable = None, verbose: bool = False)

  Bases: `object`

  __init__(*, interval: Optional [ int ] = 1, filters: Iterable = None, verbose: bool = False)
    Parameters

      - interval –

      - filters –

      - verbose –

  Methods

  `__init__`(*[, interval, filters, verbose])

  param interval

  `filter`(tag) | returns a boolean value, true if to be included, False if to be excluded

  filter(tag: str ) → bool

    > returns a boolean value, true if to be included, False if to be excluded

    > tag is in filter if not None and within interval for inclusion

    Parameters

      tag –

    Returns

    Return type